-- ******************************************************
-- ****** C1_CENTROS, C1_PROFESORES, C1_ESPECIALIDAD, C1_ASIGNATURAS, C1_ASIGPROF
-- *******************************************************

DROP TABLE C1_ASIGPROF cascade constraints;
DROP TABLE C1_PROFESORES cascade constraints; 
DROP TABLE C1_CENTROS cascade constraints;
DROP TABLE C1_ESPECIALIDAD cascade constraints;
DROP TABLE C1_ASIGNATURAS cascade constraints;


-- ***************************** creacion tablas DATA MODELER



CREATE TABLE C1_ASIGNATURAS 
    ( 
     COD_ASIG CHAR (6 BYTE)  NOT NULL , 
     NOMBRE_ASI VARCHAR2 (30 BYTE) 
    ) ;



ALTER TABLE C1_ASIGNATURAS 
    ADD CONSTRAINT C1_ASIGNATURAS_PK PRIMARY KEY ( COD_ASIG ) ;



CREATE TABLE C1_ASIGPROF 
    ( 
        COD_ASIG CHAR (6 BYTE)  NOT NULL ,
        COD_PROF NUMBER (4)  NOT NULL

    ) ;



ALTER TABLE C1_ASIGPROF 
    ADD CONSTRAINT C1_ASIGPROF__IDX PRIMARY KEY (COD_ASIG, COD_PROF) ;



CREATE TABLE C1_CENTROS 
    ( 
     COD_CENTRO NUMBER (4)  NOT NULL , 
     NOM_CENTRO VARCHAR2 (20 BYTE) , 
     DIRECTOR NUMBER (4) , 
     DIRECCION VARCHAR2 (25 BYTE) , 
     LOCALIDAD VARCHAR2 (20 BYTE) , 
     PROVINCIA VARCHAR2 (20 BYTE) 
    ) ;



ALTER TABLE C1_CENTROS 
    ADD CONSTRAINT C1_CENTROS_PK PRIMARY KEY ( COD_CENTRO ) ;



CREATE TABLE C1_ESPECIALIDAD 
    ( 
     ESPECIALIDAD CHAR (2 BYTE)  NOT NULL , 
     NOMBRE_ESPE VARCHAR2 (30 BYTE) 
    ) ;



ALTER TABLE C1_ESPECIALIDAD 
    ADD CONSTRAINT C1_ESPECIALIDAD_PK PRIMARY KEY ( ESPECIALIDAD ) ;



CREATE TABLE C1_PROFESORES 
    ( 
     COD_PROF NUMBER (4)  NOT NULL , 
     NOMBRE_APE VARCHAR2 (30 BYTE) , 
     ESPECIALIDAD CHAR (2 BYTE) , 
     COD_PROF1 NUMBER (4),
     FECHA_NAC DATE , 
     SEXO CHAR (1 BYTE) ,   
     COD_CENTRO NUMBER (4) 
    );



ALTER TABLE C1_PROFESORES 
    ADD CONSTRAINT C1_PROFESORES_PK PRIMARY KEY ( COD_PROF ) ;




ALTER TABLE C1_PROFESORES 
    ADD CONSTRAINT Centros_prof FOREIGN KEY 
    ( 
     COD_CENTRO
    ) 
    REFERENCES C1_CENTROS 
    ( 
     COD_CENTRO
    ) ;


ALTER TABLE C1_ASIGPROF 
    ADD CONSTRAINT FK_ASS1_5 FOREIGN KEY 
    ( 
     COD_PROF
    ) 
    REFERENCES C1_PROFESORES 
    ( 
     COD_PROF
    ) 
    ON DELETE CASCADE 
;


ALTER TABLE C1_ASIGPROF 
    ADD CONSTRAINT FK_ASS2_6 FOREIGN KEY 
    ( 
     COD_ASIG
    ) 
    REFERENCES C1_ASIGNATURAS 
    ( 
     COD_ASIG
    ) 
    ON DELETE CASCADE 
;


ALTER TABLE C1_PROFESORES 
    ADD CONSTRAINT espeprofes FOREIGN KEY 
    ( 
     ESPECIALIDAD
    ) 
    REFERENCES C1_ESPECIALIDAD 
    ( 
     ESPECIALIDAD
    ) 
;






-- *********************************** TABLA C1_ESPECIALIDAD

insert into C1_ESPECIALIDAD VALUES ('IF','Informtica');
insert into C1_ESPECIALIDAD VALUES ('IN','Ingls');
insert into C1_ESPECIALIDAD VALUES ('FQ','Fsica y Qumica');
insert into C1_ESPECIALIDAD VALUES ('GH','Geografa e Historia');
insert into C1_ESPECIALIDAD VALUES ('TG','Tecnologa');
insert into C1_ESPECIALIDAD VALUES ('LG','Lengua');
insert into C1_ESPECIALIDAD VALUES ('DB','Dibujo');
insert into C1_ESPECIALIDAD VALUES ('MT','Matemticas');

-- *********************************** TABLA C1_CENTROS

INSERT INTO C1_CENTROS VALUES (1000,'IES El Quijote', 1000,
'Avda. Los Molinos 25', 'GUADALAJARA', 'GUADALAJARA');

INSERT INTO C1_CENTROS VALUES (1015,'CP Los Danzantes', 1010,
'C/Las Musas s/n','PASTRANA', 'GUADALAJARA');

INSERT INTO C1_CENTROS VALUES (1022, 'IES Planeta Tierra',2000, 
 'C/Mina 45', 'AZUQUECA', 'GUADALAJARA');

INSERT INTO C1_CENTROS VALUES (1045, 'CP Manuel Hidalgo', NULL, 
  'C/Granada 5', 'GUADALAJARA', 'GUADALAJARA');

INSERT INTO C1_CENTROS VALUES (1050, 'IES Antoete', NULL,
  'C/Los Toreros 21', 'SIGUENZA', 'GUADALAJARA');
COMMIT;

-- *********************************** TABLA C1_PROFESORES


INSERT INTO C1_PROFESORES VALUES (1000, 
'Martnez Salas, Fernando', 'IF', 1001, '07-09-1961', 'H', 1000);

INSERT INTO C1_PROFESORES VALUES (1001, 
'Bueno Zarco, Elisa', 'IF',NULL, '17-02-1960', 'M', 1000);

INSERT INTO C1_PROFESORES VALUES (2002, 
'Rivera Silvestre, Ana','DB',3000, '10-10-1950', 'M',1000);

INSERT INTO C1_PROFESORES VALUES (3000,  
'De Lucas Fdez, M.Angel','DB',NULL, '09-09-1980','M',1000);


INSERT INTO C1_PROFESORES VALUES (1010, 
'Montes Garca, M.Pilar', 'MT', 1011,'10-10-1970', 'M', 1015);

INSERT INTO C1_PROFESORES VALUES (1011, 
'Arroba Conde, Manuel', 'MT', NULL,'10-12-1970', 'H', 1015);

INSERT INTO C1_PROFESORES VALUES (1022, 
'Ruiz Lafuente, Manuel','MT',1011, '11-11-1966', 'H',1015);


INSERT INTO C1_PROFESORES VALUES (2000, 
'Ramos Ruiz, Luis','LG',2003, '08-08-1963', 'H',1022 );

INSERT INTO C1_PROFESORES VALUES (2003, 
'Segura Molina, Irene','LG',NULL, '08-07-1963', 'M',1022 );

INSERT INTO C1_PROFESORES VALUES (1045, 
'Serrano Lagua, Mara','IF',NULL,'01-02-1976', 'M', 1022);

COMMIT;

-- Aadimos clave ajena, primero insertamos y luego aadimos la clave ajena
-- as evitamos algun error de los insert.

ALTER TABLE C1_PROFESORES 
    ADD CONSTRAINT jefedep FOREIGN KEY 
    ( 
     COD_PROF1
    ) 
    REFERENCES C1_PROFESORES 
    ( 
     COD_PROF
    ) ;

-- *********************************** TABLA C1_ASIGNATURAS


insert into C1_ASIGNATURAS VALUES ('IF0001','DAHC');
insert into C1_ASIGNATURAS VALUES ('IF0002','RAL');
insert into C1_ASIGNATURAS VALUES ('IF0003','IMSI');
insert into C1_ASIGNATURAS VALUES ('IF0004','DPEG');
insert into C1_ASIGNATURAS VALUES ('IF0006','PLE');
insert into C1_ASIGNATURAS VALUES ('IF0007','FPE');

insert into C1_ASIGNATURAS VALUES ('LG0001','Lengua 1 ESO');
insert into C1_ASIGNATURAS VALUES ('LG0002','Lengua 2 ESO');
insert into C1_ASIGNATURAS VALUES ('LG0003','Lengua 3 ESO');
insert into C1_ASIGNATURAS VALUES ('LG0004','Lengua 4 ESO');

insert into C1_ASIGNATURAS VALUES ('DB0001','Plstica');
insert into C1_ASIGNATURAS VALUES ('DB0002','Taller cermica');
insert into C1_ASIGNATURAS VALUES ('DB0003','Dibujo Tcnico');

insert into C1_ASIGNATURAS VALUES ('MT0001','Matemticas 1 BAC');
insert into C1_ASIGNATURAS VALUES ('MT0002','Matemticas 2 BAC');

-- *********************************** TABLA C1_ASIGPROF

insert into C1_ASIGPROF VALUES ('IF0002',1001);
insert into C1_ASIGPROF VALUES ('IF0003',1001);
insert into C1_ASIGPROF VALUES ('IF0001',1000);

insert into C1_ASIGPROF VALUES ('LG0001',2000);
insert into C1_ASIGPROF VALUES ('LG0002',2000);
insert into C1_ASIGPROF VALUES ('LG0003',2003);
insert into C1_ASIGPROF VALUES ('LG0004',2003);

insert into C1_ASIGPROF VALUES ('DB0001',2002);
insert into C1_ASIGPROF VALUES ('DB0002',2002);
insert into C1_ASIGPROF VALUES ('DB0003',3000);

insert into C1_ASIGPROF VALUES ('MT0001',1010);
insert into C1_ASIGPROF VALUES ('MT0001',1011);
insert into C1_ASIGPROF VALUES ('MT0001',1022);
insert into C1_ASIGPROF VALUES ('MT0002',1010);

COMMIT;




